/api/public/v1/extensions/uploadsextensions.upload
A one-time place to upload an extension file (.crx or a .zip of the extension folder, at most 32 MB, valid 2 hours): PUT the raw file to upload_url, then call extensions.add with upload_path.
Parameters
This operation takes no input.
Examples
curl -X POST "https://browlix.com/api/public/v1/extensions/uploads" \
-H "Authorization: Bearer $BROWLIX_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'Response
201 with { data, correlation_id }.
| Field | Type | Always present | Description |
|---|---|---|---|
| data | object | Yes | |
| data.upload_path | string | Yes | |
| data.upload_url | string | Yes | PUT the raw file here (Content-Type: application/octet-stream) |
| data.max_bytes | integer | Yes | (min -9007199254740991, max 9007199254740991) |
| data.expires_in_seconds | integer | Yes | (min -9007199254740991, max 9007199254740991) |
| correlation_id | string (uuid) | Yes |
Errors
| Code | HTTP | Retryable |
|---|---|---|
| UNAUTHENTICATED | 401 | No |
| FORBIDDEN | 403 | No |
| RATE_LIMITED | 429 | Yes |
| DEPENDENCY_UNAVAILABLE | 503 | Yes |
| UNKNOWN | 500 | No |
